---
updatedAt: 2026-04-21T04:46:34.000Z
agentTools:
  projectIndex: https://developer.alloy.com/public/llms.txt
---

# Create Investigation type

Creates an Investigation type

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Alloy API",
    "version": "1.0.0",
    "description": "hey hey hey, it's the Alloy API!"
  },
  "servers": [
    {
      "url": "https://sandbox.alloy.co/v1",
      "description": "Sandbox endpoint"
    }
  ],
  "security": [
    {
      "oauth2": []
    },
    {
      "basic": []
    }
  ],
  "tags": [
    {
      "name": "Investigations",
      "description": "Investigations are reviewable items that contain Alerts for suspicious activities for Alloy's Ongoing Monitoring solution."
    }
  ],
  "paths": {
    "/investigations/types": {
      "post": {
        "summary": "Create Investigation type",
        "description": "Creates an Investigation type",
        "tags": [
          "Investigations"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateInvestigationType"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "Holds the success message"
                }
              }
            }
          },
          "400": {
            "description": "Missing required fields",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "$ref": "#/components/schemas/InvestigationMissingRequiredFieldsResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvestigationsUnauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basic": {
        "type": "http",
        "description": "HTTP basic authorization using a workflow token and secret",
        "scheme": "basic"
      },
      "oauth2": {
        "type": "oauth2",
        "description": "Oauth2 using a workflow token and secret to generate a bearer token",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/oauth/bearer",
            "scopes": {}
          }
        }
      }
    },
    "schemas": {
      "InvestigationsUnauthorized": {
        "properties": {
          "status_code": {
            "type": "string"
          },
          "error": {
            "type": "object"
          },
          "timestamp": {
            "type": "string"
          },
          "evaluation_token": {
            "type": "string"
          },
          "entity_token": {
            "type": "string"
          },
          "application_token": {
            "type": "string"
          },
          "application_version_id": {
            "type": "string"
          }
        },
        "example": {
          "status_code": 401,
          "error": {
            "minor_code": 4013,
            "type": "Authorization Error",
            "message": "You are not authorized to operate on the specified object or it does not exist.",
            "details": {
              "entity_token_or_external_id": "provided-token"
            },
            "error_token": "u82hfowjwl"
          },
          "timestamp": 1652205025227,
          "evaluation_token": null,
          "entity_token": null,
          "application_token": null,
          "application_version_id": null
        }
      },
      "InvestigationMissingRequiredFieldsResponse": {
        "properties": {
          "status_code": {
            "type": "string"
          },
          "error": {
            "type": "object"
          },
          "timestamp": {
            "type": "string"
          },
          "evaluation_token": {
            "type": "string"
          },
          "entity_token": {
            "type": "string"
          },
          "application_token": {
            "type": "string"
          },
          "application_version_id": {
            "type": "string"
          }
        },
        "example": {
          "status_code": 400,
          "error": {
            "minor_code": 4002,
            "type": "Request Body Validation Failure",
            "message": "Your request body contained invalid field(s)",
            "details": {
              "message": "\"required_field\" is required",
              "path": "required_field",
              "type": "any.required",
              "context": {
                "key": "required_field"
              }
            },
            "error_token": "u82hfowjwl"
          },
          "timestamp": 1652205025227,
          "evaluation_token": null,
          "entity_token": null,
          "application_token": null,
          "application_version_id": null
        }
      },
      "CreateInvestigationType": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "use_case": {
            "type": "string",
            "enum": [
              "Fraud",
              "Compliance",
              "Other"
            ]
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "name",
          "use_case"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```